package main

import (
	neco "git.nefrace.ru/nefrace/nechotron"
)

var commandMe = neco.NewCommand("me", "Пишу ваш текст о вас в третьем лице", false)
var commandHelp = neco.NewCommand("help", "Показываю данный текст", false)
var commandSay = neco.NewCommand("say", "Пишу ваш текст от своего имени.", true)
var commandWarn = neco.NewCommand("warn", "Делаю предупреждение пользователю", true)
var commandFeed = neco.NewCommand("subscribe", "Регистрирую данный чат в качестве получателя рассылки", true)
var commandFeedUnsub = neco.NewCommand("unsubscribe", "Удаляю данный чат из рассылки", true)

var defaultCommands = []*neco.Command{commandHelp, commandMe}
var adminCommands = []*neco.Command{commandSay, commandWarn, commandFeed}
var allCommands = append(defaultCommands, adminCommands...)
